# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['mtspread']

package_data = \
{'': ['*']}

install_requires = \
['click>=7.0,<8.0', 'pymql5>=1.2.0,<2.0.0']

entry_points = \
{'console_scripts': ['asset = mtspread.cli:asset',
                     'spread = mtspread.cli:spread']}

setup_kwargs = {
    'name': 'mtspread',
    'version': '0.5.0',
    'description': 'Utilitario de linha de comando para operacoes de spread em commodities agricolas com o MetaTrader 5',
    'long_description': '# MTSpread  \n\nUtilitário de linha de comando para operações de spread em commodities agrícolas com o MetaTrader 5.  \n\n------------\n\n## Pré-requisitos  \n\n* [MetaTrader5](https://www.metatrader5.com/pt) - Plataforma de trading.  \n* [API.ex5](https://drive.google.com/file/d/1Osofc0PfxHpKk6FVCVucaSGnlmSPtnaL/view?usp=sharing) - Expert advisor executando no MetaTrader5.  \n* [Python](https://www.python.org/downloads/windows) - Interpretador de comandos disponível no prompt de comando.  \n\n\n## Instalação\n\n```\n> pip install mtspread\n```\n\n## Comandos\n\nspread - Retorna dados do spread entre 2 ativos.  \n```\n> spread <ativo1> <ativo2> [-c 250]  \n``` \nExibe dados do spread entre ativo1 e ativo2 em 250 períodos  \nexemplo:  \n```\n> spread ccmk20 ccmh20\n```\n\nresultado:  \n\n4.00  \nmedia 250 3.97  \nmaxima 4.80  \nminima 3.64  \ndesvio padrao 0.18  \n',
    'author': 'Valmir Franca',
    'author_email': 'vfranca3@gmail.com',
    'maintainer': 'Valmir Franca',
    'maintainer_email': 'vfranca3@gmail.com',
    'url': 'https://github.com/vfranca/mtspread',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
